#
#	025	Configure home automounter
#

echo "#Automuntatge dels homes d'usuari"
err_code=0
if [ -e /etc/auto.master ];then
	res=$(cp /etc/auto.master /etc/Linkat/backup/auto.master.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut crear una copia de seguretat del automount: $res"
	fi
fi

if ! [ -h /sbin/mount.smbfs ];then
	res=$(ln -s /sbin/mount.cifs /sbin/mount.smbfs 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut crear l'enllaç simbòlic a /sbin/mount.smbfs"	
	else
		echo "Ok.\n"
	fi
fi

res=$(cat /etc/auto.master | grep auto.homes 2>&1)
if [ ! $? -eq 0 ];then
	res=$(echo "/home           /etc/auto.homes --timeout 30" >> /etc/auto.master 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut configurar correctament l'automount dels directoris d'usuari: $res"
			err_code=1
	fi
fi

res=$(cat /etc/auto.master | grep auto.nfs 2>&1)
if [ ! $? -eq 0 ];then
	res=$(echo "/mnt/nfs           /etc/auto.nfs --timeout 300" >> /etc/auto.master 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut configurar correctament l'automount dels recursos compartits: $res"
		err_code=1
	fi
fi

res=$(cat /etc/auto.master | grep auto.samba 2>&1)
if [ ! $? -eq 0 ];then
	res=$(echo "/mnt/samba           /etc/auto.samba --timeout 300" >> /etc/auto.master 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut configurar correctament l'automount dels recursos compartits: $res"
		err_code=1
	fi
fi


if [ $err_code=0 ];then
	res=$(cat /etc/Linkat/data/auto.homes.Linkat | sed s/__SERVIDOR__/$SERV_CENTR/g > /etc/auto.homes 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut configurar correctament l'automount: $res"
	else
		res=$(cat /etc/Linkat/data/auto.nfs.Linkat | sed s/__SERVIDOR__/$SERV_CENTR/g > /etc/auto.nfs 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error:: No s'ha pogut configurar correctament l'automount: $res"
		fi

		res=$(cat /etc/Linkat/data/auto.samba.Linkat | sed s/__SERVIDOR__/$SERV_CENTR/g > /etc/auto.samba 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error:: No s'ha pogut configurar correctament l'automount: $res"
		fi

		res_code=0
		res=$(rcautofs status 2>&1)
		case $? in
			3)
				res=$(rcautofs start 2>&1)
				if [ ! $? -eq 0 ];then
					res_code=1
				fi
			;;
			0)
				res=$(rcautofs reload 2>&1)
				if [ ! $? -eq 0 ];then
					res_code=1
				fi
			;;
			*)
				res_code=1
			;;
		esac

		if [ $res_code -ne 0 ];then
			echo "Error:: S'ha produït un error al aplicar els canvis del servidor de muntatge automàtic de homes d'usuari: $res"
		else
			echo -e "\n\tLinkat: Canvis aplicats per l'automuntatge dels homes d'usuari"
			res=$(chkconfig --add autofs 2>&1)
			if [ ! $? -eq 0 ];then
				echo "Error:: No s'ha pogut posar el servei d'automuntatge a la seqüència d'init"
			else
				echo -e "Warning:: S'ha posat el servei d'automuntatge a la seqüència d'init \n\t $res \n"
			fi
		fi
	fi
fi


