#!/bin/bash
#
# This script adds a new primary DNS (the script parameter) and disables NetworkMananger.
#
# Author: Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
#

ZENITY=$(which zenity)
$ZENITY --warning --title="Canvi a la configuració" --text="S'afegirà $1 com a DNS primari i es descativarà el NetworkManager!" --timeout=20
grep ^NETWORKMANAGER /etc/sysconfig/network/config >/etc/Linkat/backup/netconfig.networkmanager_status 2>&1
grep "NETWORKMANAGER=\"no\"" /etc/sysconfig/network/config >/dev/null 2>&1
if [ ! $? -eq 0 ] ; then
	sed -i 's:NETWORKMANAGER=".*":NETWORKMANAGER="no":' /etc/sysconfig/network/config
fi
grep ^NETCONFIG_DNS_STATIC_SERVERS /etc/sysconfig/network/config >/etc/Linkat/backup/netconfig.dns_servers 2>&1
grep NETCONFIG_DNS_STATIC_SERVERS /etc/sysconfig/network/config | grep $1 /etc/sysconfig/network/config >/dev/null 2>&1
if [ ! $? -eq 0 ] ; then
	sed -i "s:NETCONFIG_DNS_STATIC_SERVERS=\"\(.*\)\":NETCONFIG_DNS_STATIC_SERVERS=\"$1 \1\":" /etc/sysconfig/network/config
fi
mv /etc/resolv.conf /etc/Linkat/backup/resolv.conf.orig
if [ $? -eq 0 ] ; then
	echo "S'ha desat una copia de /etc/resolv.conf a /etc/Linkat/backup/resolv.conf.orig"
fi
rcnetwork restart
