#!/bin/bash
#
# Script that creates a command for restore LDAP client configuration to current state.
#
# Author: Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
#

RESTORE_CMD="yast2 ldap pam"
PAM_CONFIG=`LANG=en_US yast ldap summary 2>&1`
if [ `echo $PAM_CONFIG | sed -e 's/.*Client Enabled:\([Y|N]\).*/\1/'` == "N" ] ; then
	RESTORE_CMD="$RESTORE_CMD disable"
else
	SERVER=`echo $PAM_CONFIG | sed -e 's/.*Servers:\([^ ]*\).*/\1/'`
	DN=`echo $PAM_CONFIG | sed -e 's/.*Base DN:\([^ ]*\).*/\1/'`
	echo $PAM_CONFIG | grep "Automounter Configured" >/dev/null 2>&1
	if [ $? -eq 0 ] ; then
		AUTO_MOUNT="yes"
	else
		AUTO_MOUNT="no"
	fi
	RESTORE_CMD="$RESTORE_CMD enable server=$SERVER base=\"$DN\" automounter=$AUTO_MOUNT"
fi
echo $RESTORE_CMD
