#!/bin/bash
#
# Zenity GUI to setup LDAP client parameters.
#
# Author: Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
#

# Variables
ZENITY=$(which zenity)
IP="192.168.0.240"
DN="dc=intracentre"

# Loop until user chooses right values for the network configuration.
FI=0
while [ $FI -eq 0 ] ; do
	FI=1
	INFO=$($ZENITY --title="Configuració del client LDAP" --width="300" --list --text="Configureu l'adreça i el DN base del servidor LDAP\nper tal que els clients s'hi pugin autenticar." --column="Adreça" --column="DN base" ${IP} ${DN} --editable --print-column="ALL" --separator=":")
	if [ -z $INFO ] ; then
		IP="192.168.0.240"
		DN="dc=intracentre"
	else
		IP=`echo $INFO | cut -f 1  -d ':'`
		DN=`echo $INFO | cut -f 2  -d ':'`
	fi
	$ZENITY --title="Confirmació" --width="300" --question --text="És correcte la següent configuració?\nServer:\t$IP\nBase DN:\t$DN"
	if [ $? -ne 0 ] ; then
		FI=0
	fi
done
export IP_LDAP=$IP
export DN_LDAP=$DN
