#!/bin/bash
#
#       82 - lnadmin privilege drop
#

echo -e "\n\t# lnadmin privilege drop #\n"

# Policykit permissions revoking
echo -e "Revocant permisos de policykit per la impressora"
res=$(polkit-auth --user lnadmin --revoke org.opensuse.cupspkhelper.mechanism.server-settings 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització a lnadmin per canviar server-settings; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per canviar la configuració del CUPS\n"
fi

res=$(polkit-auth --user lnadmin --revoke org.opensuse.cupspkhelper.mechanism.printeraddremove 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització a lnadmin per afegir i eliminar impressores; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per afegir i eliminar impressores\n"
fi

res=$(polkit-auth --user lnadmin --revoke org.opensuse.cupspkhelper.mechanism.printer-set-default 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització a lnadmin per canviar la impressora per defecte; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per canviar la impressora per defecte\n"
fi

res=$(polkit-auth --user lnadmin --revoke org.opensuse.cupspkhelper.mechanism.printer-remote-edit 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització a lnadmin per modificar una impressora remota; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per modificar una impressora remota\n"
fi


res=$(polkit-auth --user lnadmin --revoke org.opensuse.cupspkhelper.mechanism.printer-local-edit 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització a lnadmin per canviar les impressores locals; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per canviar les impressores locals\n"
fi

res=$(polkit-auth --user lnadmin --revoke org.opensuse.cupspkhelper.mechanism.printer-enable 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització a lnadmin per habilitar impressores; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per habilitar i deshabilitar impressores\n"
fi

res=$(polkit-auth --user lnadmin --revoke org.opensuse.cupspkhelper.mechanism.class-edit 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització per editar classes d'impressió; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per canviar classes d'impressió\n"
fi

# Clock applet permissions
echo -e "Autoritzant lnadmin a canviar l'hora i fus horari del sistema"
res=$(polkit-auth --user lnadmin --revoke org.gnome.clockapplet.mechanism.settimezone 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització per canviar el fus horari del sistema; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per canviar el fus horari del sistema\n"
fi

res=$(polkit-auth --user lnadmin --revoke org.gnome.clockapplet.mechanism.settime 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització per canviar l'hora del sistema; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per canviar l'hora del sistema (settime)\n"
fi

res=$(polkit-auth --user lnadmin --revoke org.gnome.clockapplet.mechanism.configurehwclock 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut autoritzar lnadmin per canviar el rellotge del sistema; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada per canviar l'hora del sistema (hwclock)\n"
fi

# Package updates
echo -e "Revocant l'autorització de lnadmin a actualitzar el sistema"
res=$(polkit-auth --user lnadmin --revoke org.freedesktop.packagekit.system-update 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut autoritzar lnadmin per actualitzar el sistema; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada (system-update)\n"
fi

echo -e "Revocant l'autorització de lnadmin a confiar en claus de firma"
res=$(polkit-auth --user lnadmin --revoke org.freedesktop.packagekit.system-trust-signing-key 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada (system-trust-signing-key)\n"
fi

echo -e "Revocant l'autorització de lnadmin a configurar el proxy de xarxa"
res=$(polkit-auth --user lnadmin --revoke org.freedesktop.packagekit.system-network-proxy-configure 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada (system-network-proxy-configure)\n"
fi

echo -e "Revocant l'autorització de lnadmin a acceptar llicències d'un nou paquet"
res=$(polkit-auth --user lnadmin --revoke org.freedesktop.packagekit.package-eula-accept 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: No s'ha pogut revocar l'autorització; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: autorització revocada (package-eula-accept)\n"
fi

