#!/bin/bash
#
#      43 - restore netconfig
#

echo "#Restaurant la configuració del netconfig"

NETMAN_STATUS=$(grep ^NETWORKMANAGER /etc/Linkat/backup/netconfig.networkmanager_status | sed -e 's:NETWORKMANAGER="\(.*\)":\1:')
if [ ! $? -eq 0 ] ; then
	echo "No s'ha pogut carregar l'estat anterior del NetworkManager del fitxer /etc/sysconfig/network/config."
else
	sed -i "s:NETWORKMANAGER=\".*\":NETWORKMANAGER=\"$NETMAN_STATUS\":" /etc/sysconfig/network/config >/dev/null 2>&1
	if [ ! $? -eq 0 ] ; then
		echo "No s'ha pogut restaurar l'estat del NetworkManager al fitxer /etc/sysconfig/network/config."
	fi
fi
DNS_LIST=$(grep ^NETCONFIG_DNS_STATIC_SERVERS /etc/Linkat/backup/netconfig.dns_servers | sed -e 's:NETCONFIG_DNS_STATIC_SERVERS="\(.*\)":\1:')
if [ ! $? -eq 0 ] ; then
	echo "No s'ha pogut carregar l'estat anterior dels servidors DNS del fitxer /etc/sysconfig/network/config."
else
	sed -i "s:NETCONFIG_DNS_STATIC_SERVERS=\".*\":NETCONFIG_DNS_STATIC_SERVERS=\"$DNS_LIST\":" /etc/sysconfig/network/config >/dev/null 2>&1
	if [ ! $? -eq 0 ] ; then
		echo "No s'ha pogut restaurar la configuració dels servidors DNS al fitxer /etc/sysconfig/network/config."
	fi
fi
cp /etc/Linkat/backup/resolv.conf.orig /etc/resolv.conf >/dev/null 2>&1
if [ ! $? -eq 0 ] ; then
	echo "No s'ha pogut restaurar el fitxer /etc/resolv.conf."
fi
